/******************************************************************************
*
* Copyright (C) 2015 Xilinx, Inc.  All rights reserved.
*

******************************************************************************/

/*****************************************************************************/
/**
*
* @file te_xfsbl_hooks_custom.h
*
*
******************************************************************************/
//rename to correct board name
#ifndef TE_XFSBL_HOOKS_CUSTOM_H
#define TE_XFSBL_HOOKS_CUSTOM_H

#ifdef __cplusplus
extern "C" {
#endif

/***************************** Include Files *********************************/
#include "xil_types.h"
#include "xfsbl_hw.h"


/************************** Constant Definitions *****************************/
#define GPIO_MIO30_MASK		0x00000010U
#define GPIO_MIO31_MASK		0x00000020U
#define GPIO_MIO37_MASK		0x00000800U
#define GPIO_MIO38_MASK		0x00001000U
#define RESET_MASK			(GPIO_MIO31_MASK | GPIO_MIO37_MASK | GPIO_MIO38_MASK)
#define DELAY_1_US			0x1U
#define DELAY_5_US			0x5U
/**************************** Type Definitions *******************************/

/***************** Macros (Inline Functions) Definitions *********************/

/************************** Function Prototypes ******************************/

/************************** Variable Definitions *****************************/
// for xsfbl_hooks.h
u32 TE_XFsbl_HookBeforeBSDownload_Custom(void );

u32 TE_XFsbl_HookAfterBSDownload_Custom(void );

u32 TE_XFsbl_HookBeforeHandoff_Custom(u32 EarlyHandoff);

u32 TE_XFsbl_HookBeforeFallback_Custom(void);

u32 TE_XFsbl_HookPsuInit_Custom(void);

// for xsfbl_board.h
u32 TE_XFsbl_BoardInit_Custom(void);


#ifdef __cplusplus
}
#endif

#endif  /* XFSBL_HOOKS_H */
